<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

<ui:define name="principal">

<h:form id="formInscrito">
<p:growl id="mensagem"/>
	
	<p:dataTable
			var = "i"
			value = "#{inscritoMB.inscritos}"
			editable = "true"
			id="tabelaInscrito"
			paginator="true"
            rows="5"
            paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
            rowsPerPageTemplate="5,10,15"
	
			
	>		
	
	<f:facet name="header">
            Inscritos
    </f:facet>
	
	<p:ajax event="rowEdit" listener="#{inscritoMB.onRowEdit}" update="tabelaInscrito" />
		
	    <p:column headerText="Tipo" style="text-align: center">
			<p:outputLabel value="#{i.tipo.tipo}" />           		
	    </p:column>
	    
	    <p:column headerText="Usuário" style="text-align: center">
			<p:outputLabel value="#{i.usuario}" />          		
	    </p:column>
	   
	     <p:column headerText="Inscrição" style="text-align: center">
			<p:outputLabel value="#{i.inscricao}" />          		
	    </p:column>
	    
	      <p:column headerText="Usuário aceito" style="text-align: center"> 
        	<p:outputLabel value="#{i.aceiteUsuario}" />            		
	    </p:column>
	    
	     <p:column headerText="Jogador suspenso" style="text-align: center">
			<p:outputLabel value="#{i.suspensoJogos}" />         		
	    </p:column>
	    
	     <p:column headerText="Inscrição validada" style="text-align: center">
			<p:outputLabel value="#{i.inscricaoValidada}" />           		
	    </p:column>


		<p:column style = "text-align: center">
			<p:rowEditor />
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{inscritoMB.remover(i)}" update="tabelaInscrito"></p:commandLink> 	     	
		</p:column>
			
	</p:dataTable>		
	

</h:form>


	</ui:define>
</ui:composition>